<?php
session_start();

require_once '../Config/Database.php';
require_once '../Model/ItemType.php';
$item_type = new ItemType();

$item_types = $item_type->read_all_item_types();

if(isset($_GET['all_item_types'])){
    echo json_encode(
        array("data"=>$item_types)
    ); 
}

if(isset($_POST['add_item_type'])){
    $item_type_name = $_POST['item_type_name'];
    $data = array(
        "item_type_name"=>$item_type_name
    );
    $success = $item_type->add_item_type($data);
    if($success){
        echo json_encode(
            array('data'=>'success')
        );
    
    }else{
        echo json_encode(
            array('data'=>'fail')
        );
    
    }
}

if(isset($_POST['update_item_type'])){
    $item_type_id = $_POST['item_type_id'];
    $item_type_name = $_POST['item_type_name'];
    $data = array(
        "item_type_name"=>$item_type_name
    );
    $key = array(
        "item_type_id"=>$item_type_id
    );
    $success = $item_type->update_item_type($key,$data);
    if($success){
        echo json_encode(
            array('data'=>'success')
        );
    
    }else{
        echo json_encode(
            array('data'=>'fail')
        );
    
    }
}


if(isset($_POST['remove_item_type'])){
    $item_type_id = $_POST['item_type_id'];
    $data = $item_type->remove_item_type($item_type_id);
    if(!$data){
        echo json_encode(
            array('data'=>'success')
        );
    
    }else{
        echo json_encode(
            array('data'=>'fail')
        );
    
    }
}